---
layout: project

title: OpenDreamKit
shorttitle: ODK
teaser: Towards an Open Virtual Research Environment Framework for (Computational) Mathematics.

active: true
start_date: 2015-09
end_date: 2019-08
publink: http://kwarc.github.io/bibs/odk


people:
    - mkohlhase
    - frabe
    - twiesing
    - miancu
    - cmaeder
    - dmueller
    - tpollinger

logo: public/eu_logo.png
funding: EU
program: Research Infrastructure
grantid: 676541
logo: public/odk_logo.png
proposal: https://github.com/OpenDreamKit/OpenDreamKit/blob/master/Proposal/proposal-www.pdf
website: http://opendreamkit.org
---

OpenDreamKit is a Horizon 2020 European Research Infrastructure project (#676541) that
will run for four years, starting from September 2015. It provides substantial funding to
the open source computational mathematics ecosystem, and in particular popular tools such
as LinBox, MPIR, SageMath, GAP, Pari/GP, LMFDB, Singular, MathHub, and the IPython/Jupyter
interactive computing environment.

From this ecosystem, OpenDreamKit will deliver a flexible toolkit enabling research groups
to set up Virtual Research Environments, customised to meet the varied needs of research
projects in pure mathematics and applications, and supporting the full research life-cycle
from exploration, through proof and publication, to archival and sharing of data and code.
