---
layout: project


title: "MathSearch: Analyse und Suche in mathematischen Formeln"
shorttitle: MathSearch
teaser: Methods for information extraction and information retrieval for mathematical documents with the aim of providing semantically enhanced interaction for Zentralblatt Math and the arXiv.

active: false
start_date: 2012-03
end_date: 2015-02
publink: auto

people: 
    - mkohlhase
    - dginev

logo: public/leibniz_logo.svg
funding: Leibniz Foundation
program: SAW
grantid: SAW-2012-FIZ_KA-2
---

The MathSearch Project develops a semantic search engine for mathematics in collaboration
with the [ZBMath Group](https://zbmath.org/about/) at
[FIZ Karlsruhe](https://www.fiz-karlsruhe.de/). It is funded by the
[Leibniz Foundation](https://www.leibniz-gemeinschaft.de/) as SAW project
AW-2012-FIZ_KA-2.

We have deployed an instance of [MathWebSearch](/systems/mws/) engine as part of the
[ZBMath Information System](http://zbmath.org) (see the "Formulae" tab there), and we have
started the [SMGloM](/systems/smglom/).
