Technical directions on adding a project
------------------------------------------

To add a new system, create a file in this directory, taking the existing files as
examples.

Each post needs some specific parameters:

 * **layout** use `project`

 * **title** the title of the project
 * **shorttitle** the short title of the project, used for project chips
 * **teaser** (optional) a one-line description for the overview

  * **logo** (optional) a (local) path to the logo of a project

 * **active** boolean indicating if the project is active
 * **start_date** the system start date (YYYY[-MM])
 * **end_date** (optional) the system end date (YYYY[-MM])

 * **people** (optional) a list of KWARC people involved in this
 
 * **collaborators** (optional) a list of non-KWARC people involved in this

 * **funding** (optional): the funding body, *DFG*, *Leibniz Foundation*, *EU*, *Industry*
   use *internal* for projects that do not have funding (yet), but are project-organized. 
 * **program** (optional): the funding program
 * **grantid** (optional): the project identifier of the funder, e.g. `KO 2428/13-1`

 * **website** (optional): the project home page
